﻿-- Author      : PibbZ
-- Create Date : 22/05/2019 13:37:00 PM
-- Update Date : 22/05/2021 13:37:00 PM

BB_BACKDROP = {
    bgFile = "Interface\\Tooltips\\UI-Tooltip-Background",
    edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
    tile = true,
    tileEdge = true,
    tileSize = 32,
    edgeSize = 32,
    insets = { left = 11, right = 12, top = 12, bottom = 11 }
};

BB_SLIDER = {
	bgFile = "Interface\\Buttons\\UI-SliderBar-Background",
	edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
    tile = true,
    tileEdge = true,
    tileSize = 8,
    edgeSize = 2,
    insets = { left = 3, right = 3, top = 6, bottom = 6 }
};

BB_BLACK = CreateColor(0, 0, 0);

local bb_version = "v2.13";

function BottomFrame_OnLoad(inpt)
--[[    if( DEFAULT_CHAT_FRAME ) then
        DEFAULT_CHAT_FRAME:AddMessage("|cFF999999BottomBar Classic|r "..bb_version.." |cFF999999loaded.");
    end
--]]

	if (type(bb_height) == "nil") then
		bb_height = 100;
	end
	if (type(bb_alpha) == "nil") then
		bb_alpha = 1;
	end

	BBBottomFrame:RegisterEvent("ADDON_LOADED");
	
	SlashCmdList["BOTTOM_FRAME_CONFIG"] = bb_command;
    SLASH_BOTTOM_FRAME_CONFIG1="/bottombar";
end

function bb_command(arg)
	pref_alpha:SetValue(bb_alpha * 10);
	pref_height:SetText(bb_height);
	BBConfigFrame:Show();
	--[[
	a, b = strsplit(" ", arg);
	if (a == "height") then
		if (type(tonumber(b)) == "number") then
			BBBottomFrame:SetHeight(b + 50);
			bb_height = b;
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000height must be a number");
		end
	elseif (a == "alpha") then
		if ((type(tonumber(b)) == "number") and (tonumber(b) >= 0) and (tonumber(b) <= 1)) then
			BBBottomFrame:SetAlpha(b);
			bb_alpha = b;
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000alpha must be a floating-point number between 0 and 1");
		end
	else
        DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000BottomBar");
        DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000 > /bottombar height|r value");
        DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000 > /bottombar alpha|r 0 <= value <= 1");
	end
	--]]
end

function BottomFrame_OnEvent(inpt)
		BBBottomFrame:SetHeight(bb_height + 50);
		BBBottomFrame:SetAlpha(bb_alpha);
end


function bb_pref_btn_cancel_OnClick()
	BBConfigFrame:Hide();
end

function pref_alpha_OnValueChanged()
	pref_alpha_value:SetText(pref_alpha:GetValue()/10);
end

function bb_pref_btn_ok_OnClick()
	BBBottomFrame:SetAlpha(pref_alpha:GetValue()/10);
	bb_alpha = pref_alpha:GetValue()/10;
	BBBottomFrame:SetHeight(pref_height:GetText() + 50);
	bb_height = pref_height:GetText();
	BBConfigFrame:Hide();
end

